PARA LA ACTUALIZACIÓN DE BUILD 0.6.3 AL 0.9.3 SIGA LA SIGUIENTES INSTRUCCIONES

BACKUP
-RESPALDAR EL COMPONENTE INTERMEDIO(intermediate-component-sa) DE LA CARPETA NODE_MODULES
-RESPALDAR LA CARPETA ACTUAL DE SPEECHANALYTIC
-La actualización en configuraciones abarca: server/config/config.js, server/config/integration.config.js, server/config/server.config.js

NODE
-INSTALAR LA LIBRERÍA Validator(npm i validator)
-INSTALAR LA LIBRERÍA NODE-SSH ACTUALIZADA(npm i node-ssh@11.1.1)
-DESPUÉS DE TERMINAR LA INSTALACIÓN DE LA LIBRERÍA, COPIAR LA CARPETA BACKUP COMPONENTE INTERMEDIO(intermediate-component-sa) A NODE_MODULES

BASE DE DATOS
CORRER EN ORDEN LOS SIGUIENTES SCRIPTS DE LA CARPETA MIGRATIONS:
-0.7.0>schema-main.sql
-0.7.0>data.sql
-0.7.1>data.sql
-0.7.2>schema-main.sql
-0.7.2>data.sql
-0.7.3>data.sql
-0.7.4>data.sql
-0.7.4>schema-main.sql
-0.7.5>schema-main.sql
-0.7.5>data.sql
-0.8.0>schema-main.sql
-0.8.0>data.sql
-0.8.1>schema-main.sql
-0.8.1>data.sql
-0.8.2>data.sql
-0.8.3>schema-main.sql
-0.8.3>data.sql
-0.9.0>schema-main.sql
-0.9.0>data.sql
-0.9.1>schema-main.sql
-0.9.1>data.sql
-0.9.2>schema-main.sql
-0.9.2>data.sql
-0.9.3>data.sql
-Por la actualización de servicios se debe limpiar las key de redis Session, RequestData, billing(ejecutar el comando "del inconcertCache:MY_VCC:Session", "inconcertCache:MY_VCC:RequestData" y "inconcertCache:MY_VCC:billing:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX" por cada vcc)
-Por la actualización de permisos se debe limpiar LoggedUserRole del localstorage y borrar de redis la variable Role(ejecutar el comando del inconcertCache:occ_test:Role por cada vcc)

OTROS: SERVIDOR RASA
-En "/root/" ejecutar "vim .profile" y reemplazar la línea "mesg n || true" por "tty -s && mesg n || true"
-Ejecutar "sudo visudo" y después de "#includedir /etc/sudoers.d" agregar "MI_USUARIO ALL=(ALL) NOPASSWD:ALL"
-Crear usuario admon con password HtM37WFwV37E6fy4

OTROS: SERVIDOR BILLING
-EL RELEASE 0.7.1 REQUIERE LA ACTUALIZACIÓN 0.1.5 DE BILLING

OTROS: MEDIAINFO + FFMPEG
-En servidor linux ejecutar los siguientes comandos
wget https://mediaarea.net/download/binary/libzen0/0.4.38/libzen0v5_0.4.38-1_amd64.xUbuntu_16.04.deb
wget https://mediaarea.net/download/binary/libmediainfo0/20.09/libmediainfo0v5_20.09-1_amd64.xUbuntu_16.04.deb
wget https://mediaarea.net/download/binary/mediainfo/20.09/mediainfo_20.09-1_amd64.xUbuntu_16.04.deb
apt-get install libmms0
dpkg -i libzen0v5_0.4.38-1_amd64.xUbuntu_16.04.deb
dpkg -i libmediainfo0v5_20.09-1_amd64.xUbuntu_16.04.deb
dpkg -i mediainfo_20.09-1_amd64.xUbuntu_16.04.deb
apt-get install ffmpeg